<h2>Formulario de registro:</h2>
<form novalidate (ngSubmit)="onSubmit()" [formGroup]="form">
	<fieldset>
    <label for="name">Nombre:</label>
    <input type="text" id="email" formControlName="email" />
    <div *ngIf="!form.get('email').valid &&
        (form.get('email').dirty || submitted)">
      Has introducido mal el email;
    </div>
  </fieldset>
	<fieldset>
    <label for="password">Password:</label>
    <input type="password" id="password" formControlName="password" />
    <div *ngIf="!form.get('password').valid &&
        (form.get('password').dirty || submitted)">
      Has introducido mal tu contraseña
    </div>
  </fieldset>
	<button type="submit" [disabled]="!form.valid">Submit</button>

</form>